<div dir="ltr">Hrm, it looks like a bunch of macros came back, which suggests I didn't remove the AC checks hard enough.  I'll have to look into it.</div><div class="gmail_extra"><br><br><div class="gmail_quote">On Fri, Jul 26, 2013 at 10:13 AM, Eric Christopher <span dir="ltr"><<a href="mailto:echristo@gmail.com" target="_blank">echristo@gmail.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Author: echristo<br>
Date: Fri Jul 26 12:13:47 2013<br>
New Revision: 187217<br>
<br>
URL: <a href="http://llvm.org/viewvc/llvm-project?rev=187217&view=rev" target="_blank">http://llvm.org/viewvc/llvm-project?rev=187217&view=rev</a><br>
Log:<br>
Regenerate.<br>
<br>
Modified:<br>
    llvm/trunk/configure<br>
    llvm/trunk/include/llvm/Config/<a href="http://config.h.in" target="_blank">config.h.in</a><br>
<br>
Modified: llvm/trunk/configure<br>
URL: <a href="http://llvm.org/viewvc/llvm-project/llvm/trunk/configure?rev=187217&r1=187216&r2=187217&view=diff" target="_blank">http://llvm.org/viewvc/llvm-project/llvm/trunk/configure?rev=187217&r1=187216&r2=187217&view=diff</a><br>

==============================================================================<br>
--- llvm/trunk/configure (original)<br>
+++ llvm/trunk/configure Fri Jul 26 12:13:47 2013<br>
@@ -11130,354 +11130,7 @@ done<br>
<br>
<br>
<br>
-<br>
-<br>
-<br>
-<br>
-for ac_header in assert.h ctype.h errno.h malloc.h memory.h stdlib.h \<br>
-                 stdio.h unistd.h<br>
-do<br>
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_Header'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-else<br>
-  # Is the header compilable?<br>
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5<br>
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }<br>
-cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-$ac_includes_default<br>
-#include <$ac_header><br>
-_ACEOF<br>
-rm -f conftest.$ac_objext<br>
-if { (ac_try="$ac_compile"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_compile") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } &&<br>
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest.$ac_objext'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; }; then<br>
-  ac_header_compiler=yes<br>
-else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-       ac_header_compiler=no<br>
-fi<br>
-<br>
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext<br>
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5<br>
-echo "${ECHO_T}$ac_header_compiler" >&6; }<br>
-<br>
-# Is the header present?<br>
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5<br>
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }<br>
-cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-#include <$ac_header><br>
-_ACEOF<br>
-if { (ac_try="$ac_cpp conftest.$ac_ext"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } >/dev/null; then<br>
-  if test -s conftest.err; then<br>
-    ac_cpp_err=$ac_c_preproc_warn_flag<br>
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag<br>
-  else<br>
-    ac_cpp_err=<br>
-  fi<br>
-else<br>
-  ac_cpp_err=yes<br>
-fi<br>
-if test -z "$ac_cpp_err"; then<br>
-  ac_header_preproc=yes<br>
-else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-  ac_header_preproc=no<br>
-fi<br>
-<br>
-rm -f conftest.err conftest.$ac_ext<br>
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5<br>
-echo "${ECHO_T}$ac_header_preproc" >&6; }<br>
-<br>
-# So?  What about this header?<br>
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in<br>
-  yes:no: )<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5<br>
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5<br>
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}<br>
-    ac_header_preproc=yes<br>
-    ;;<br>
-  no:yes:* )<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5<br>
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5<br>
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5<br>
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5<br>
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5<br>
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5<br>
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}<br>
-    ( cat <<\_ASBOX<br>
-## ------------------------------------ ##<br>
-## Report this to <a href="http://llvm.org/bugs/" target="_blank">http://llvm.org/bugs/</a> ##<br>
-## ------------------------------------ ##<br>
-_ASBOX<br>
-     ) | sed "s/^/$as_me: WARNING:     /" >&2<br>
-    ;;<br>
-esac<br>
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  eval "$as_ac_Header=\$ac_header_preproc"<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_Header'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-<br>
-fi<br>
-if test `eval echo '${'$as_ac_Header'}'` = yes; then<br>
-  cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1<br>
-_ACEOF<br>
-<br>
-fi<br>
-<br>
-done<br>
-<br>
-<br>
-<br>
-<br>
-<br>
-for ac_header in dl.h sys/dl.h dld.h mach-o/dyld.h<br>
-do<br>
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_Header'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-else<br>
-  # Is the header compilable?<br>
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5<br>
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }<br>
-cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-$ac_includes_default<br>
-#include <$ac_header><br>
-_ACEOF<br>
-rm -f conftest.$ac_objext<br>
-if { (ac_try="$ac_compile"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_compile") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } &&<br>
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest.$ac_objext'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; }; then<br>
-  ac_header_compiler=yes<br>
-else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-       ac_header_compiler=no<br>
-fi<br>
-<br>
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext<br>
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5<br>
-echo "${ECHO_T}$ac_header_compiler" >&6; }<br>
-<br>
-# Is the header present?<br>
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5<br>
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }<br>
-cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-#include <$ac_header><br>
-_ACEOF<br>
-if { (ac_try="$ac_cpp conftest.$ac_ext"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } >/dev/null; then<br>
-  if test -s conftest.err; then<br>
-    ac_cpp_err=$ac_c_preproc_warn_flag<br>
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag<br>
-  else<br>
-    ac_cpp_err=<br>
-  fi<br>
-else<br>
-  ac_cpp_err=yes<br>
-fi<br>
-if test -z "$ac_cpp_err"; then<br>
-  ac_header_preproc=yes<br>
-else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-  ac_header_preproc=no<br>
-fi<br>
-<br>
-rm -f conftest.err conftest.$ac_ext<br>
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5<br>
-echo "${ECHO_T}$ac_header_preproc" >&6; }<br>
-<br>
-# So?  What about this header?<br>
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in<br>
-  yes:no: )<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5<br>
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5<br>
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}<br>
-    ac_header_preproc=yes<br>
-    ;;<br>
-  no:yes:* )<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5<br>
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5<br>
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5<br>
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5<br>
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5<br>
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}<br>
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5<br>
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}<br>
-    ( cat <<\_ASBOX<br>
-## ------------------------------------ ##<br>
-## Report this to <a href="http://llvm.org/bugs/" target="_blank">http://llvm.org/bugs/</a> ##<br>
-## ------------------------------------ ##<br>
-_ASBOX<br>
-     ) | sed "s/^/$as_me: WARNING:     /" >&2<br>
-    ;;<br>
-esac<br>
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  eval "$as_ac_Header=\$ac_header_preproc"<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_Header'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-<br>
-fi<br>
-if test `eval echo '${'$as_ac_Header'}'` = yes; then<br>
-  cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1<br>
-_ACEOF<br>
-<br>
-fi<br>
-<br>
-done<br>
-<br>
-<br>
-<br>
-for ac_header in string.h strings.h<br>
+for ac_header in errno.h malloc.h memory.h unistd.h<br>
 do<br>
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
@@ -11627,310 +11280,58 @@ esac<br>
 { echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  eval "$as_ac_Header=\$ac_header_preproc"<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_Header'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-<br>
-fi<br>
-if test `eval echo '${'$as_ac_Header'}'` = yes; then<br>
-  cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1<br>
-_ACEOF<br>
- break<br>
-fi<br>
-<br>
-done<br>
-<br>
-<br>
-<br>
-<br>
-for ac_func in strchr index<br>
-do<br>
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5<br>
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.<br>
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */<br>
-#define $ac_func innocuous_$ac_func<br>
-<br>
-/* System header to define __stub macros and hopefully few prototypes,<br>
-    which can conflict with char $ac_func (); below.<br>
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since<br>
-    <limits.h> exists even on freestanding compilers.  */<br>
-<br>
-#ifdef __STDC__<br>
-# include <limits.h><br>
-#else<br>
-# include <assert.h><br>
-#endif<br>
-<br>
-#undef $ac_func<br>
-<br>
-/* Override any GCC internal prototype to avoid an error.<br>
-   Use char because int might match the return type of a GCC<br>
-   builtin and then its argument prototype would still apply.  */<br>
-#ifdef __cplusplus<br>
-extern "C"<br>
-#endif<br>
-char $ac_func ();<br>
-/* The GNU C library defines this for functions which it implements<br>
-    to always fail with ENOSYS.  Some functions are actually named<br>
-    something starting with __ and the normal name is an alias.  */<br>
-#if defined __stub_$ac_func || defined __stub___$ac_func<br>
-choke me<br>
-#endif<br>
-<br>
-int<br>
-main ()<br>
-{<br>
-return $ac_func ();<br>
-  ;<br>
-  return 0;<br>
-}<br>
-_ACEOF<br>
-rm -f conftest.$ac_objext conftest$ac_exeext<br>
-if { (ac_try="$ac_link"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_link") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } &&<br>
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest$ac_exeext'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; }; then<br>
-  eval "$as_ac_var=yes"<br>
-else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-       eval "$as_ac_var=no"<br>
-fi<br>
-<br>
-rm -f core conftest.err conftest.$ac_objext \<br>
-      conftest$ac_exeext conftest.$ac_ext<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_var'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-if test `eval echo '${'$as_ac_var'}'` = yes; then<br>
-  cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1<br>
-_ACEOF<br>
- break<br>
-fi<br>
-done<br>
-<br>
-<br>
-<br>
-for ac_func in strrchr rindex<br>
-do<br>
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5<br>
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  cat >conftest.$ac_ext <<_ACEOF<br>
-/* confdefs.h.  */<br>
-_ACEOF<br>
-cat confdefs.h >>conftest.$ac_ext<br>
-cat >>conftest.$ac_ext <<_ACEOF<br>
-/* end confdefs.h.  */<br>
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.<br>
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */<br>
-#define $ac_func innocuous_$ac_func<br>
-<br>
-/* System header to define __stub macros and hopefully few prototypes,<br>
-    which can conflict with char $ac_func (); below.<br>
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since<br>
-    <limits.h> exists even on freestanding compilers.  */<br>
-<br>
-#ifdef __STDC__<br>
-# include <limits.h><br>
-#else<br>
-# include <assert.h><br>
-#endif<br>
-<br>
-#undef $ac_func<br>
-<br>
-/* Override any GCC internal prototype to avoid an error.<br>
-   Use char because int might match the return type of a GCC<br>
-   builtin and then its argument prototype would still apply.  */<br>
-#ifdef __cplusplus<br>
-extern "C"<br>
-#endif<br>
-char $ac_func ();<br>
-/* The GNU C library defines this for functions which it implements<br>
-    to always fail with ENOSYS.  Some functions are actually named<br>
-    something starting with __ and the normal name is an alias.  */<br>
-#if defined __stub_$ac_func || defined __stub___$ac_func<br>
-choke me<br>
-#endif<br>
-<br>
-int<br>
-main ()<br>
-{<br>
-return $ac_func ();<br>
-  ;<br>
-  return 0;<br>
-}<br>
-_ACEOF<br>
-rm -f conftest.$ac_objext conftest$ac_exeext<br>
-if { (ac_try="$ac_link"<br>
-case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_link") 2>conftest.er1<br>
-  ac_status=$?<br>
-  grep -v '^ *+' conftest.er1 >conftest.err<br>
-  rm -f conftest.er1<br>
-  cat conftest.err >&5<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } &&<br>
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest$ac_exeext'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; }; then<br>
-  eval "$as_ac_var=yes"<br>
+  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
 else<br>
-  echo "$as_me: failed program was:" >&5<br>
-sed 's/^/| /' conftest.$ac_ext >&5<br>
-<br>
-       eval "$as_ac_var=no"<br>
-fi<br>
-<br>
-rm -f core conftest.err conftest.$ac_objext \<br>
-      conftest$ac_exeext conftest.$ac_ext<br>
+  eval "$as_ac_Header=\$ac_header_preproc"<br>
 fi<br>
-ac_res=`eval echo '${'$as_ac_var'}'`<br>
+ac_res=`eval echo '${'$as_ac_Header'}'`<br>
               { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
 echo "${ECHO_T}$ac_res" >&6; }<br>
-if test `eval echo '${'$as_ac_var'}'` = yes; then<br>
+<br>
+fi<br>
+if test `eval echo '${'$as_ac_Header'}'` = yes; then<br>
   cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1<br>
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1<br>
 _ACEOF<br>
- break<br>
+<br>
 fi<br>
-done<br>
<br>
+done<br>
<br>
<br>
-for ac_func in memcpy bcopy<br>
+for ac_header in mach-o/dyld.h<br>
 do<br>
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5<br>
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then<br>
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
   echo $ECHO_N "(cached) $ECHO_C" >&6<br>
+fi<br>
+ac_res=`eval echo '${'$as_ac_Header'}'`<br>
+              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
+echo "${ECHO_T}$ac_res" >&6; }<br>
 else<br>
-  cat >conftest.$ac_ext <<_ACEOF<br>
+  # Is the header compilable?<br>
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5<br>
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }<br>
+cat >conftest.$ac_ext <<_ACEOF<br>
 /* confdefs.h.  */<br>
 _ACEOF<br>
 cat confdefs.h >>conftest.$ac_ext<br>
 cat >>conftest.$ac_ext <<_ACEOF<br>
 /* end confdefs.h.  */<br>
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.<br>
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */<br>
-#define $ac_func innocuous_$ac_func<br>
-<br>
-/* System header to define __stub macros and hopefully few prototypes,<br>
-    which can conflict with char $ac_func (); below.<br>
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since<br>
-    <limits.h> exists even on freestanding compilers.  */<br>
-<br>
-#ifdef __STDC__<br>
-# include <limits.h><br>
-#else<br>
-# include <assert.h><br>
-#endif<br>
-<br>
-#undef $ac_func<br>
-<br>
-/* Override any GCC internal prototype to avoid an error.<br>
-   Use char because int might match the return type of a GCC<br>
-   builtin and then its argument prototype would still apply.  */<br>
-#ifdef __cplusplus<br>
-extern "C"<br>
-#endif<br>
-char $ac_func ();<br>
-/* The GNU C library defines this for functions which it implements<br>
-    to always fail with ENOSYS.  Some functions are actually named<br>
-    something starting with __ and the normal name is an alias.  */<br>
-#if defined __stub_$ac_func || defined __stub___$ac_func<br>
-choke me<br>
-#endif<br>
-<br>
-int<br>
-main ()<br>
-{<br>
-return $ac_func ();<br>
-  ;<br>
-  return 0;<br>
-}<br>
+$ac_includes_default<br>
+#include <$ac_header><br>
 _ACEOF<br>
-rm -f conftest.$ac_objext conftest$ac_exeext<br>
-if { (ac_try="$ac_link"<br>
+rm -f conftest.$ac_objext<br>
+if { (ac_try="$ac_compile"<br>
 case "(($ac_try" in<br>
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
   *) ac_try_echo=$ac_try;;<br>
 esac<br>
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_link") 2>conftest.er1<br>
+  (eval "$ac_compile") 2>conftest.er1<br>
   ac_status=$?<br>
   grep -v '^ *+' conftest.er1 >conftest.err<br>
   rm -f conftest.er1<br>
@@ -11947,7 +11348,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec<br>
   ac_status=$?<br>
   echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
   (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest$ac_exeext'<br>
+        { ac_try='test -s conftest.$ac_objext'<br>
   { (case "(($ac_try" in<br>
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
   *) ac_try_echo=$ac_try;;<br>
@@ -11957,142 +11358,119 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec<br>
   ac_status=$?<br>
   echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
   (exit $ac_status); }; }; then<br>
-  eval "$as_ac_var=yes"<br>
+  ac_header_compiler=yes<br>
 else<br>
   echo "$as_me: failed program was:" >&5<br>
 sed 's/^/| /' conftest.$ac_ext >&5<br>
<br>
-       eval "$as_ac_var=no"<br>
-fi<br>
-<br>
-rm -f core conftest.err conftest.$ac_objext \<br>
-      conftest$ac_exeext conftest.$ac_ext<br>
-fi<br>
-ac_res=`eval echo '${'$as_ac_var'}'`<br>
-              { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
-echo "${ECHO_T}$ac_res" >&6; }<br>
-if test `eval echo '${'$as_ac_var'}'` = yes; then<br>
-  cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1<br>
-_ACEOF<br>
- break<br>
+       ac_header_compiler=no<br>
 fi<br>
-done<br>
-<br>
<br>
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext<br>
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5<br>
+echo "${ECHO_T}$ac_header_compiler" >&6; }<br>
<br>
-for ac_func in memmove strcmp<br>
-do<br>
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5<br>
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }<br>
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then<br>
-  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
-else<br>
-  cat >conftest.$ac_ext <<_ACEOF<br>
+# Is the header present?<br>
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5<br>
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }<br>
+cat >conftest.$ac_ext <<_ACEOF<br>
 /* confdefs.h.  */<br>
 _ACEOF<br>
 cat confdefs.h >>conftest.$ac_ext<br>
 cat >>conftest.$ac_ext <<_ACEOF<br>
 /* end confdefs.h.  */<br>
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.<br>
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */<br>
-#define $ac_func innocuous_$ac_func<br>
-<br>
-/* System header to define __stub macros and hopefully few prototypes,<br>
-    which can conflict with char $ac_func (); below.<br>
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since<br>
-    <limits.h> exists even on freestanding compilers.  */<br>
-<br>
-#ifdef __STDC__<br>
-# include <limits.h><br>
-#else<br>
-# include <assert.h><br>
-#endif<br>
-<br>
-#undef $ac_func<br>
-<br>
-/* Override any GCC internal prototype to avoid an error.<br>
-   Use char because int might match the return type of a GCC<br>
-   builtin and then its argument prototype would still apply.  */<br>
-#ifdef __cplusplus<br>
-extern "C"<br>
-#endif<br>
-char $ac_func ();<br>
-/* The GNU C library defines this for functions which it implements<br>
-    to always fail with ENOSYS.  Some functions are actually named<br>
-    something starting with __ and the normal name is an alias.  */<br>
-#if defined __stub_$ac_func || defined __stub___$ac_func<br>
-choke me<br>
-#endif<br>
-<br>
-int<br>
-main ()<br>
-{<br>
-return $ac_func ();<br>
-  ;<br>
-  return 0;<br>
-}<br>
+#include <$ac_header><br>
 _ACEOF<br>
-rm -f conftest.$ac_objext conftest$ac_exeext<br>
-if { (ac_try="$ac_link"<br>
+if { (ac_try="$ac_cpp conftest.$ac_ext"<br>
 case "(($ac_try" in<br>
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
   *) ac_try_echo=$ac_try;;<br>
 esac<br>
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_link") 2>conftest.er1<br>
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1<br>
   ac_status=$?<br>
   grep -v '^ *+' conftest.er1 >conftest.err<br>
   rm -f conftest.er1<br>
   cat conftest.err >&5<br>
   echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); } &&<br>
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; } &&<br>
-        { ac_try='test -s conftest$ac_exeext'<br>
-  { (case "(($ac_try" in<br>
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;<br>
-  *) ac_try_echo=$ac_try;;<br>
-esac<br>
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5<br>
-  (eval "$ac_try") 2>&5<br>
-  ac_status=$?<br>
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5<br>
-  (exit $ac_status); }; }; then<br>
-  eval "$as_ac_var=yes"<br>
+  (exit $ac_status); } >/dev/null; then<br>
+  if test -s conftest.err; then<br>
+    ac_cpp_err=$ac_c_preproc_warn_flag<br>
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag<br>
+  else<br>
+    ac_cpp_err=<br>
+  fi<br>
+else<br>
+  ac_cpp_err=yes<br>
+fi<br>
+if test -z "$ac_cpp_err"; then<br>
+  ac_header_preproc=yes<br>
 else<br>
   echo "$as_me: failed program was:" >&5<br>
 sed 's/^/| /' conftest.$ac_ext >&5<br>
<br>
-       eval "$as_ac_var=no"<br>
+  ac_header_preproc=no<br>
 fi<br>
<br>
-rm -f core conftest.err conftest.$ac_objext \<br>
-      conftest$ac_exeext conftest.$ac_ext<br>
+rm -f conftest.err conftest.$ac_ext<br>
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5<br>
+echo "${ECHO_T}$ac_header_preproc" >&6; }<br>
+<br>
+# So?  What about this header?<br>
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in<br>
+  yes:no: )<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5<br>
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5<br>
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}<br>
+    ac_header_preproc=yes<br>
+    ;;<br>
+  no:yes:* )<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5<br>
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5<br>
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5<br>
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5<br>
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5<br>
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}<br>
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5<br>
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}<br>
+    ( cat <<\_ASBOX<br>
+## ------------------------------------ ##<br>
+## Report this to <a href="http://llvm.org/bugs/" target="_blank">http://llvm.org/bugs/</a> ##<br>
+## ------------------------------------ ##<br>
+_ASBOX<br>
+     ) | sed "s/^/$as_me: WARNING:     /" >&2<br>
+    ;;<br>
+esac<br>
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5<br>
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }<br>
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
+  echo $ECHO_N "(cached) $ECHO_C" >&6<br>
+else<br>
+  eval "$as_ac_Header=\$ac_header_preproc"<br>
 fi<br>
-ac_res=`eval echo '${'$as_ac_var'}'`<br>
+ac_res=`eval echo '${'$as_ac_Header'}'`<br>
               { echo "$as_me:$LINENO: result: $ac_res" >&5<br>
 echo "${ECHO_T}$ac_res" >&6; }<br>
-if test `eval echo '${'$as_ac_var'}'` = yes; then<br>
+<br>
+fi<br>
+if test `eval echo '${'$as_ac_Header'}'` = yes; then<br>
   cat >>confdefs.h <<_ACEOF<br>
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1<br>
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1<br>
 _ACEOF<br>
<br>
 fi<br>
+<br>
 done<br>
<br>
<br>
<br>
<br>
+<br>
 for ac_func in closedir opendir readdir<br>
 do<br>
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
@@ -15321,8 +14699,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu<br>
<br>
<br>
<br>
-<br>
-for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h limits.h link.h<br>
+for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h link.h<br>
 do<br>
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
@@ -15665,8 +15042,7 @@ fi<br>
 done<br>
<br>
<br>
-<br>
-for ac_header in utime.h windows.h<br>
+for ac_header in utime.h<br>
 do<br>
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
@@ -16010,8 +15386,7 @@ done<br>
<br>
<br>
<br>
-<br>
-for ac_header in sys/types.h sys/ioctl.h malloc/malloc.h mach/mach.h<br>
+for ac_header in sys/ioctl.h malloc/malloc.h mach/mach.h<br>
 do<br>
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`<br>
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then<br>
@@ -18613,8 +17988,7 @@ done<br>
<br>
<br>
<br>
-<br>
-for ac_func in mktemp posix_spawn pread realpath sbrk setrlimit strdup<br>
+for ac_func in mktemp posix_spawn pread realpath sbrk setrlimit<br>
 do<br>
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`<br>
 { echo "$as_me:$LINENO: checking for $ac_func" >&5<br>
<br>
Modified: llvm/trunk/include/llvm/Config/<a href="http://config.h.in" target="_blank">config.h.in</a><br>
URL: <a href="http://llvm.org/viewvc/llvm-project/llvm/trunk/include/llvm/Config/config.h.in?rev=187217&r1=187216&r2=187217&view=diff" target="_blank">http://llvm.org/viewvc/llvm-project/llvm/trunk/include/llvm/Config/config.h.in?rev=187217&r1=187216&r2=187217&view=diff</a><br>

==============================================================================<br>
--- llvm/trunk/include/llvm/Config/<a href="http://config.h.in" target="_blank">config.h.in</a> (original)<br>
+++ llvm/trunk/include/llvm/Config/<a href="http://config.h.in" target="_blank">config.h.in</a> Fri Jul 26 12:13:47 2013<br>
@@ -33,6 +33,24 @@<br>
 /* Define to 1 if you have the `arc4random' function. */<br>
 #undef HAVE_ARC4RANDOM<br>
<br>
+/* Define to 1 if you have the `argz_append' function. */<br>
+#undef HAVE_ARGZ_APPEND<br>
+<br>
+/* Define to 1 if you have the `argz_create_sep' function. */<br>
+#undef HAVE_ARGZ_CREATE_SEP<br>
+<br>
+/* Define to 1 if you have the <argz.h> header file. */<br>
+#undef HAVE_ARGZ_H<br>
+<br>
+/* Define to 1 if you have the `argz_insert' function. */<br>
+#undef HAVE_ARGZ_INSERT<br>
+<br>
+/* Define to 1 if you have the `argz_next' function. */<br>
+#undef HAVE_ARGZ_NEXT<br>
+<br>
+/* Define to 1 if you have the `argz_stringify' function. */<br>
+#undef HAVE_ARGZ_STRINGIFY<br>
+<br>
 /* Define to 1 if you have the `backtrace' function. */<br>
 #undef HAVE_BACKTRACE<br>
<br>
@@ -160,9 +178,6 @@<br>
 /* Define if the gv program is available */<br>
 #undef HAVE_GV<br>
<br>
-/* Define to 1 if you have the `index' function. */<br>
-#undef HAVE_INDEX<br>
-<br>
 /* Define to 1 if the system has the type `int64_t'. */<br>
 #undef HAVE_INT64_T<br>
<br>
@@ -208,6 +223,9 @@<br>
 /* Define if you can use -Wl,-export-dynamic. */<br>
 #undef HAVE_LINK_EXPORT_DYNAMIC<br>
<br>
+/* Define to 1 if you have the <link.h> header file. */<br>
+#undef HAVE_LINK_H<br>
+<br>
 /* Define if you can use -Wl,-R. to pass -R. to the linker, in order to add<br>
    the current directory to the dynamic linker search path. */<br>
 #undef HAVE_LINK_R<br>
@@ -242,6 +260,9 @@<br>
 /* Define to 1 if you have the `malloc_zone_statistics' function. */<br>
 #undef HAVE_MALLOC_ZONE_STATISTICS<br>
<br>
+/* Define to 1 if you have the <memory.h> header file. */<br>
+#undef HAVE_MEMORY_H<br>
+<br>
 /* Define to 1 if you have the `mkdtemp' function. */<br>
 #undef HAVE_MKDTEMP<br>
<br>
@@ -309,9 +330,6 @@<br>
 /* Define to 1 if you have the `realpath' function. */<br>
 #undef HAVE_REALPATH<br>
<br>
-/* Define to 1 if you have the `rindex' function. */<br>
-#undef HAVE_RINDEX<br>
-<br>
 /* Define to 1 if you have the `rintf' function. */<br>
 #undef HAVE_RINTF<br>
<br>
@@ -330,6 +348,9 @@<br>
 /* Define to 1 if you have the `setjmp' function. */<br>
 #undef HAVE_SETJMP<br>
<br>
+/* Define to 1 if you have the <setjmp.h> header file. */<br>
+#undef HAVE_SETJMP_H<br>
+<br>
 /* Define to 1 if you have the `setrlimit' function. */<br>
 #undef HAVE_SETRLIMIT<br>
<br>
@@ -348,6 +369,9 @@<br>
 /* Define to 1 if you have the <stdint.h> header file. */<br>
 #undef HAVE_STDINT_H<br>
<br>
+/* Define to 1 if you have the <stdlib.h> header file. */<br>
+#undef HAVE_STDLIB_H<br>
+<br>
 /* Set to 1 if the std::isinf function is found in <cmath> */<br>
 #undef HAVE_STD_ISINF_IN_CMATH<br>
<br>
@@ -360,6 +384,12 @@<br>
 /* Define to 1 if you have the `strerror_r' function. */<br>
 #undef HAVE_STRERROR_R<br>
<br>
+/* Define to 1 if you have the <strings.h> header file. */<br>
+#undef HAVE_STRINGS_H<br>
+<br>
+/* Define to 1 if you have the <string.h> header file. */<br>
+#undef HAVE_STRING_H<br>
+<br>
 /* Define to 1 if you have the `strtof' function. */<br>
 #undef HAVE_STRTOF<br>
<br>
@@ -398,6 +428,9 @@<br>
 /* Define to 1 if you have the <sys/time.h> header file. */<br>
 #undef HAVE_SYS_TIME_H<br>
<br>
+/* Define to 1 if you have the <sys/types.h> header file. */<br>
+#undef HAVE_SYS_TYPES_H<br>
+<br>
 /* Define to 1 if you have the <sys/uio.h> header file. */<br>
 #undef HAVE_SYS_UIO_H<br>
<br>
<br>
<br>
_______________________________________________<br>
llvm-commits mailing list<br>
<a href="mailto:llvm-commits@cs.uiuc.edu">llvm-commits@cs.uiuc.edu</a><br>
<a href="http://lists.cs.uiuc.edu/mailman/listinfo/llvm-commits" target="_blank">http://lists.cs.uiuc.edu/mailman/listinfo/llvm-commits</a><br>
</blockquote></div><br></div>